#include "util.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

long _u_seed=847449649;

void Error_Exit(char *s){
   printf("Error : %s",s);
   exit(1);
}

FILE *s_fopen(char *filename,char *mode){
  FILE *ifp;

  if (!(ifp=fopen(filename,mode))){
     printf("This is the file %s\n",filename); fflush(0);
     Error_Exit("Can't Open File");
    exit(1);
  }
  return ifp;
}     
  
void *s_malloc(int size){
  void *ptr;

  ptr=malloc(size);
  if (ptr==NULL){
    Error_Exit("Memory can't allocated");
  }
  return ptr;
}

void *s_calloc(int num,int size){
  void *ptr;

  ptr=calloc(num,size);
  if (ptr==NULL){
    Error_Exit("Memory can't allocated");
  }
  return ptr;
}
  
void swap(int *i,int *j){
  int temp=*i;

  *i=*j;
  *j=temp;
}
        
int s_random(int limit){
  
  return uRandom(limit);
}

void rand_per_int(int *list,int size){
  int i,j;

  for (i=1;i<=size;++i)
    list[i]=i;
  for (i=size;i>1;--i){
    j=s_random(i)+1;
    swap(list+i,list+j);
  }
}
 
double GetSeconds(){
  return (double) clock()/CLOCKS_PER_SEC;
}





